> ## Documentation Index
> Fetch the complete documentation index at: https://loyalty-interchange.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert a reward campaign



## OpenAPI

````yaml /api-reference/platform-openapi.yaml put /campaigns
openapi: 3.1.2
info:
  title: LIP Reference Platform API
  version: 0.3.0-beta
  description: >-
    Non-normative customer engagement product API. The portable loyalty
    transaction contract remains at /lip/v1.
  license:
    name: Apache-2.0
    identifier: Apache-2.0
servers:
  - url: https://loyalty.example.com/platform/v1
security:
  - bearerAuth: []
tags:
  - name: Discovery
  - name: Members
  - name: Events
  - name: Segments
  - name: Campaigns
  - name: Connectors
  - name: Analytics
  - name: Imports
paths:
  /campaigns:
    put:
      tags:
        - Campaigns
      summary: Upsert a reward campaign
      operationId: upsertCampaign
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        default:
          $ref: '#/components/responses/Problem'
components:
  responses:
    Problem:
      description: RFC 9457 problem details
      content:
        application/problem+json:
          schema:
            type: object
            required:
              - type
              - title
              - status
            properties:
              type:
                type: string
                format: uri-reference
              title:
                type: string
              status:
                type: integer
                minimum: 400
                maximum: 599
              detail:
                type: string
              code:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````